<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="@dimen/keyboard_content_height"
    android:orientation="vertical"
    tools:background="@mipmap/bg_keyboard">

    <FrameLayout
        android:id="@+id/tar_bar_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="14dp"
        android:layout_marginBottom="14dp"
        android:background="@drawable/bg_tab_indicator"
        android:padding="2dp"
        android:paddingStart="1dp"
        android:paddingEnd="1dp">

        <net.lucode.hackware.magicindicator.MagicIndicator
            android:id="@+id/magic_indicator"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/common_navigator_height"
            android:layout_gravity="center" />
    </FrameLayout>

    <com.atmob.keyboard_android.widget.NoSwipeViewPager
        android:id="@+id/view_pager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        tools:background="@android:color/holo_blue_dark" />
</LinearLayout>